Subject: Re: bug#44927: Guix reboot stops with some errors

From: Bengt Richter <[email-masked]>
Date: Sat, 28 Nov 2020 21:31:37 +0100

Hi znavko,

On +2020-11-28 19:05:25 +0000, znavko--- via Bug reports for GNU Guix wrote:
> I have deleted lines with disks in config and reconfigured but the error remains.
> 
> I switched to generation (system and packages by root) but an issue remains.
> 
> In Attach entire screen with trace.
> 
> What is that?
> November 28, 2020 6:47 PM, "znavko--- via Bug reports for GNU Guix" <[email-masked] (mailto:[email-masked]?to=%22znavko---%20via%20Bug%20reports%20for%20GNU%20Guix%22%20<[email-masked]>)> wrote:
> Hello!
> I have a trouble that I cannot solve and did not have such before.
> When I reboot or power off my pc the process of shutdown stops with lines of 'call trace' (in attach).
> It happened today after hundreds of tries of update with network errors (from guix server as I think)
> https://lists.gnu.org/archive/html/help-guix/2020-11/msg00220.html (https://lists.gnu.org/archive/html/help-guix/2020-11/msg00220.html)
> 
> I just added another disk to my system, it works fine.
> But something happened.
> Please where to dig?
> 
> Config is in attach.

Just a guess, from my experience with device busy messages:

Is there a process which has a current working directory on the device when you shut down?

(E.g., I think it could happen if you had cd'd there to look around, and forgotten to cd back out first.
Or perhaps there is a bug doing something similar?)

HTH
-- 
Regards,
Bengt Richter